Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaSecondaryTable

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaTable
          org.apache.cayenne.jpa.map.JpaSecondaryTable

All Implemented Interfaces:
  XMLSerializable

    public class JpaSecondaryTable

extends JpaTable

Field Summary
`protected Collection<JpaPrimaryKeyJoinColumn>` | `primaryKeyJoinColumns`

Fields inherited from class org.apache.cayenne.jpa.map.JpaTable
`catalog, name, schema, uniqueConstraints`

Constructor Summary
`JpaSecondaryTable()`
`JpaSecondaryTable(javax.persistence.SecondaryTable annotation)`

Method Summary
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`Collection<JpaPrimaryKeyJoinColumn>` | `getPrimaryKeyJoinColumns()`

Methods inherited from class org.apache.cayenne.jpa.map.JpaTable
`getCatalog, getName, getSchema, getUniqueConstraints, setCatalog, setName, setSchema, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### primaryKeyJoinColumns

    protected Collection<JpaPrimaryKeyJoinColumn> primaryKeyJoinColumns

Constructor Detail

### JpaSecondaryTable

    public JpaSecondaryTable()

### JpaSecondaryTable

    public JpaSecondaryTable(javax.persistence.SecondaryTable annotation)

Method Detail

### getPrimaryKeyJoinColumns

    public Collection<JpaPrimaryKeyJoinColumn> getPrimaryKeyJoinColumns()

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Description copied from interface: `XMLSerializable`
  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`
  Overrides:
    `encodeAsXML` in class `JpaTable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.